Replace Avatar in Template

Learn how to replace avatars within templates using the Template API

Welcome to Avatar Replacement!

In this guide, we will learn how to replace avatars within a template and generate a video. The Template API allows you to dynamically modify avatar elements to create customized videos that suit your specific needs.

Avatar Replacement Concept

Avatar Properties

When replacing avatars in templates, you can use the following properties to customize the avatar:

  • type: Type of the avatar, options: avatar, talking_photo.
  • character_id: Supports any ID returned from /v1/avatars.

Creating Template through the Interface

To create templates, visit the Template page and click on "Create Template". After selecting the avatar you can then set variable and change variable names using the toolbar's API icon.

💡

Variable Assignment:

As you can see, we have assigned a variable name to our avatar element. In this tutorial, we will demonstrate how to change this avatar using the Template API.

Template Interface with Avatar Variable Assignment

Step 1: Get a List of Your Templates

Using the following API request you will get a list of your templates that you have created in the interface, obtain your template_id from here.

bash
curl --location 'https://api.konpro.ai/v1/templates' \
     --header 'accept: application/json' \
     --header 'x-api-key: <your-api-key>'

Step 2: Retrieve Template Elements

To retrieve template elements, use this API request. Get the variable you want to change from here.

bash
curl --location 'https://api.konpro.ai/v1/template/<template_id>' \
     --header 'accept: application/json' \
     --header 'x-api-key: <your-api-key>'

Step 3: Modify Template Elements and Generate Video

To change template elements and generate videos, you will need to submit an API request as follows. In the request body, specify the elements you want to modify by providing the appropriate object within the variables section.

bash
curl --location 'https://api.konpro.ai/v1/template/<template_id>/generate' \
     --header 'x-api-key: <your-api-key>' \
     --header 'Content-Type: application/json' \
     --data '{
  "caption": false,
  "title": "New Video",
  "variables": {
    "avatar_scene1": {
      "name": "avatar_scene1",
      "type": "character",
      "properties": {
        "type": "avatar",
        "character_id": "Tyler-insuit-20220721"
      }
    }
  }
}'

You will receive a video_id after your request. To check the video's status and retrieve further details, you can use the video_status API endpoint.

💡

Success:

And using the Template API, we changed our avatar and generated our new video, here is the before and after:

Before and After Avatar Replacement Result

Table of Contents